<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$maindb = 'expired';

$file = "expired.php";

$keyfld = "code";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchdt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `accode` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `memcode` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `aadhaar` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `dob` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchdt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `accode` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `memcode` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `aadhaar` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `dob` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY code";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchdt`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `accode`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `memcode`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `aadhaar`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `dob`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT *,DATE_FORMAT(`vouchdt`, '%d-%m-%Y') as vouchdt,DATE_FORMAT(`dob`, '%d-%m-%Y') as dob FROM `$maindb` WHERE `code` != ''  $cond
          $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query) or die(mysqli_error($conn));
// print table($result);
$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [
        'success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'vouchdt' => $r['vouchdt'],
        'accode' => $r['accode'],
        'memcode' => $r['memcode'],
        'aadhaar' => $r['aadhaar'],
        'dob' => $r['dob'],
        'action' => "$file?mode=edit&code=$r[code]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
